Wallet passes
Get wallet pass
Returns a wallet pass including user info, installation status, and loyalty state.
Required scopes: pass:read
AuthorizationBearer <token>
Sign in with your account. A temporary API token is generated automatically for the selected organization.
In: header
Path Parameters
templateId*string
walletPassId*string
Response Body
*/*
curl -X GET "https://api.stemp.app/api/v1/templates/string/walletpasses/string"{
"id": "string",
"object": "string",
"user": {
"id": "string",
"email": "string",
"name": "string",
"phone": "string",
"externalId": "string"
},
"template": {
"id": "string",
"name": "string",
"hasStampFeature": true
},
"installations": [
{
"platform": "APPLE",
"installedAt": "2019-08-24T14:15:22Z",
"uninstalledAt": "2019-08-24T14:15:22Z",
"status": "INSTALLED"
}
],
"stampState": {
"currentStamps": 0,
"maxStamps": 0,
"totalStampsCollected": 0,
"timesCompleted": 0,
"lastStampAt": "2019-08-24T14:15:22Z"
},
"stampConfig": {
"maxStamps": 0,
"rewardName": "string",
"rewardDescription": "string",
"autoResetOnComplete": true
},
"qrCodeValue": "string",
"currentStripImageUrl": "string",
"isPreviewPass": true,
"createdAt": "2019-08-24T14:15:22Z",
"updatedAt": "2019-08-24T14:15:22Z"
}